#!/bin/sh
# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# Tales of the Sword Coast (1CD UK version)

scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
source "$scriptdir/includes/cd-includes.sh"

parseargs "$@"

checkforbin unshield

getcd 1 e27d259ddc0171ff945dbba136e60309 data1.cab

mkdir -p "$TARGETDIR" || die

unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die

cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die

mkdir -p "$TARGETDIR"/save || die

cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
rm -r "$TARGETDIR"/minimumdata

cp -R "$TARGETDIR"/english/* "$TARGETDIR" || die
rm -r "$TARGETDIR"/english

cp -R "$CDMOUNT"/override/* "$TARGETDIR"/override/ || die

mkdir -p "$TARGETDIR"/movies
copylower "$CDMOUNT/cd6/" "$TARGETDIR"

mkdir -p "$TARGETDIR"/mpsave
cp -R $CDMOUNT/[Ss]ave/* "$TARGETDIR"/mpsave || die

setperms "$TARGETDIR"
