#!/bin/bash
# Copyright 2009 Nick White
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# See <http://www.gnu.org/licenses/> for a copy of the GNU General
# Public License.
#
# Baldur's Gate (5CD International version) minimal

scriptdir="$(dirname $0)"/..
source "$scriptdir/includes/generic-includes.sh"
source "$scriptdir/includes/cd-includes.sh"

parseargs "$@"

checkforbin unshield

getcd 1 138528155dfeb695bd63f90eacee7dc0 data1.cab

mkdir -p "$TARGETDIR" || die

cp $CDMOUNT/dialog.tlk "$TARGETDIR" || die

unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die

cp -R "$TARGETDIR"/minimumdata/* "$TARGETDIR" || die
rm -r "$TARGETDIR"/minimumdata

cp -R "$TARGETDIR"/recommended_music/music/* "$TARGETDIR"/music/ || die
rm -r "$TARGETDIR"/recommended_music

cp -R "$TARGETDIR"/english_sounds/sounds/* "$TARGETDIR"/sounds/ || die
rm -r "$TARGETDIR"/english_sounds

cp -R "$TARGETDIR"/english/* "$TARGETDIR" || die
rm -r "$TARGETDIR"/english

mkdir -p "$TARGETDIR"/movies

cp $CDMOUNT/baldur.ico "$TARGETDIR" || die

setperms "$TARGETDIR"
